## SwItemView

SwItemView

## Functions

void | sw_item_view_set_from_set ()
void | sw_item_view_remove_by_uid ()
const gchar * | sw_item_view_get_object_path ()
SwService * | sw_item_view_get_service ()

## Properties

gchar * | object-path | Read
SwService * | service | Read / Write / Construct Only

## Types and Values

| SwItemView
| SwItemViewClass

## Object Hierarchy

        GObject
        ╰── SwItemView

## Implemented Interfaces

SwItemView implements SwItemViewIface.

## Description

## Functions

### sw_item_view_set_from_set ()

    void
    sw_item_view_set_from_set (SwItemView *item_view,
                               SwSet *set);

Updates what the view contains based on the given SwSet. Removed signals will be fired for any items that were in the view but that are not present in the supplied set. Conversely any items that are new will cause signals to be fired indicating their addition.

This implemented by maintaining a set inside the SwItemView

#### Parameters

item_view | A SwItemView |
set | A SwSet |

### sw_item_view_remove_by_uid ()

    void
    sw_item_view_remove_by_uid (SwItemView *item_view,
                                const gchar *uid);

### sw_item_view_get_object_path ()

    const gchar *
    sw_item_view_get_object_path (SwItemView *item_view);

Since SwItemView is responsible for constructing the object path and registering the object on the bus. This function is necessary for SwCore to be able to return the object path as the result of a function to open a view.

#### Parameters

item_view | A SwItemView |

#### Returns

A string providing the object path.

### sw_item_view_get_service ()

    SwService *
    sw_item_view_get_service (SwItemView *item_view);

#### Parameters

item_view | A SwItemView |

#### Returns

The SwService that SwItemView is for

## Types and Values

### SwItemView

    typedef struct _SwItemView SwItemView;

### SwItemViewClass

    typedef struct {
      GObjectClass parent_class;
      void (*start) (SwItemView *item_view);
      void (*refresh) (SwItemView *item_view);
      void (*stop) (SwItemView *item_view);
      void (*close) (SwItemView *item_view);
    } SwItemViewClass;

## Property Details

### The `“object-path”` property

      “object-path”              gchar *

The object path of this view.

Flags: Read

Default value: NULL

### The `“service”` property

      “service”                  SwService *

The service this view is using.

Flags: Read / Write / Construct Only